# Uses of Interface
java.util.function.DoubleUnaryOperator

Packages that use DoubleUnaryOperator
Package
Description
java.util.function
Functional interfaces provide target types for lambda expressions and method references.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

- ## Uses of DoubleUnaryOperator in java.util.function

  Methods in java.util.function that return DoubleUnaryOperator
  Modifier and Type
  Method
  Description
  `default DoubleUnaryOperator`
  DoubleUnaryOperator.`andThen(DoubleUnaryOperator after)`
  Returns a composed operator that first applies this operator to its input, and then applies the `after` operator to the result.
  `default DoubleUnaryOperator`
  DoubleUnaryOperator.`compose(DoubleUnaryOperator before)`
  Returns a composed operator that first applies the `before` operator to its input, and then applies this operator to the result.
  `static DoubleUnaryOperator`
  DoubleUnaryOperator.`identity()`
  Returns a unary operator that always returns its input argument.
  Methods in java.util.function with parameters of type DoubleUnaryOperator
  Modifier and Type
  Method
  Description
  `default DoubleUnaryOperator`
  DoubleUnaryOperator.`andThen(DoubleUnaryOperator after)`
  Returns a composed operator that first applies this operator to its input, and then applies the `after` operator to the result.
  `default DoubleUnaryOperator`
  DoubleUnaryOperator.`compose(DoubleUnaryOperator before)`
  Returns a composed operator that first applies the `before` operator to its input, and then applies this operator to the result.

- ## Uses of DoubleUnaryOperator in java.util.stream

  Methods in java.util.stream with parameters of type DoubleUnaryOperator
  Modifier and Type
  Method
  Description
  `static DoubleStream`
  DoubleStream.`iterate(double seed, DoublePredicate hasNext, DoubleUnaryOperator next)`
  Returns a sequential ordered `DoubleStream` produced by iterative application of the given `next` function to an initial element, conditioned on satisfying the given `hasNext` predicate.
  `static DoubleStream`
  DoubleStream.`iterate(double seed, DoubleUnaryOperator f)`
  Returns an infinite sequential ordered `DoubleStream` produced by iterative application of a function `f` to an initial element `seed`, producing a `Stream` consisting of `seed`, `f(seed)`, `f(f(seed))`, etc.
  `DoubleStream`
  DoubleStream.`map(DoubleUnaryOperator mapper)`
  Returns a stream consisting of the results of applying the given function to the elements of this stream.